dav1d: Dav1dSettings Struct Reference

dav1d 1.3.0 dav1d is an AV1 decoder

Loading...
Searching...
No Matches
Data Fields
Dav1dSettings Struct Reference

`#include <dav1d.h>`

Collaboration diagram for Dav1dSettings:
[legend]

## Data Fields
int | n_threads
| number of threads (0 = number of logical cores in host system, default 0)
int | max_frame_delay
| Set to 1 for low-latency decoding (0 = ceil(sqrt(n_threads)), default 0)
int | apply_grain
| whether to apply film grain on output frames (default 1)
int | operating_point
| select an operating point for scalable AV1 bitstreams (0 - 31, default 0)
int | all_layers
| output all spatial layers of a scalable AV1 biststream (default 1)
unsigned | frame_size_limit
| maximum frame size, in pixels (0 = unlimited, default 0)
Dav1dPicAllocator | allocator
| Picture allocator callback.
Dav1dLogger | logger
| Logger callback.
int | strict_std_compliance
int | output_invisible_frames
enum Dav1dInloopFilterType | inloop_filters
enum Dav1dDecodeFrameType | decode_frame_type
uint8_t | reserved [16]
| reserved for future use

## Field Documentation

## ◆ all_layers

int Dav1dSettings::all_layers

output all spatial layers of a scalable AV1 biststream (default 1)

## ◆ allocator

Dav1dPicAllocator Dav1dSettings::allocator

Picture allocator callback.

## ◆ apply_grain

int Dav1dSettings::apply_grain

whether to apply film grain on output frames (default 1)

## ◆ decode_frame_type

enum Dav1dDecodeFrameType Dav1dSettings::decode_frame_type

frame types to decode (default DAV1D_DECODEFRAMETYPE_ALL)

## ◆ frame_size_limit

unsigned Dav1dSettings::frame_size_limit

maximum frame size, in pixels (0 = unlimited, default 0)

## ◆ inloop_filters

enum Dav1dInloopFilterType Dav1dSettings::inloop_filters

postfilters to enable during decoding (default DAV1D_INLOOPFILTER_ALL)

## ◆ logger

Dav1dLogger Dav1dSettings::logger

Logger callback.

## ◆ max_frame_delay

int Dav1dSettings::max_frame_delay

Set to 1 for low-latency decoding (0 = ceil(sqrt(n_threads)), default 0)

## ◆ n_threads

int Dav1dSettings::n_threads

number of threads (0 = number of logical cores in host system, default 0)

## ◆ operating_point

int Dav1dSettings::operating_point

select an operating point for scalable AV1 bitstreams (0 - 31, default 0)

## ◆ output_invisible_frames

int Dav1dSettings::output_invisible_frames

output invisibly coded frames (in coding order) in addition to all visible frames. Because of show-existing-frame, this means some frames may appear twice (once when coded, once when shown, default 0)

## ◆ reserved

uint8_t Dav1dSettings::reserved[16]

reserved for future use

## ◆ strict_std_compliance

int Dav1dSettings::strict_std_compliance

whether to abort decoding on standard compliance violations that don't affect actual bitstream decoding (e.g. inconsistent or invalid metadata, default 0)

The documentation for this struct was generated from the following file:

- dav1d/dav1d.h